API ReferenceLayouts
Retrieve a layout
Fetches details of a specific layout by its unique identifier **layoutId**
Fetches details of a specific layout by its unique identifier layoutId
Authorization
secretKey Authorization<token>
API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Path Parameters
layoutId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/layouts/string"{ "data": { "_id": "string", "layoutId": "string", "slug": "string", "name": "string", "isDefault": true, "isTranslationEnabled": true, "updatedAt": "string", "updatedBy": { "_id": "string", "firstName": "string", "lastName": "string", "externalId": "string" }, "createdAt": "string", "origin": "novu-cloud", "type": "REGULAR", "variables": {}, "controls": { "dataSchema": {}, "uiSchema": { "group": "IN_APP", "properties": { "property1": { "placeholder": "string", "component": "EMAIL_EDITOR_SELECT", "properties": { "property1": {}, "property2": {} } }, "property2": { "placeholder": "string", "component": "EMAIL_EDITOR_SELECT", "properties": { "property1": {}, "property2": {} } } } }, "values": { "email": { "body": "string", "editorType": "html" } } } }}